import dynamix_sdk.api._nested as _nested
import dynamix_sdk.base as _base


class CloudapiAuditGetResultModel(
    _base.BaseAPIResultModel,
    _nested.AuditAPIResultNM,
):
    pass


class CloudapiAuditGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        audit_guid: str,
    ) -> CloudapiAuditGetResultModel:
        ...
